
var exec = require('cordova/exec');

var CleverMenuPlugin = {

    wakeup: function (callback) {
        exec(function (out) {
            callback();
        }, function (error) {
            callback();
        }, "CleverMenuPlugin", "ACTION_WAKE_DEVICE_UP", []);
    },
    test: function () {
        exec(null, null, "CleverMenuPlugin", "TEST", []);
    },
    getApkInfo: function (callback) {
        exec(function (out) {
            callback(out);
        }, function (error) {
            alert("CleverMenuPlugin.ACTION_GET_APK_INFO failed: " + error);
        }, "CleverMenuPlugin", "ACTION_GET_APK_INFO", []);
    }
}

module.exports = CleverMenuPlugin;

